## org.hibernate.hql.ast.util
Class ColumnHelper

    java.lang.Object
      org.hibernate.hql.ast.util.ColumnHelper

    public final class ColumnHelper

extends Object

Provides utility methods for dealing with arrays of SQL column names.

Author:
  josh

Method Summary
`static void` `generateScalarColumns(HqlSqlWalkerNode node, String[] sqlColumns, int i)` Generates the scalar column AST nodes for a given array of SQL columns
`static void` `generateSingleScalarColumn(HqlSqlWalkerNode node, int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateSingleScalarColumn

    public static void generateSingleScalarColumn(HqlSqlWalkerNode node,
                                                  int i)

### generateScalarColumns

    public static void generateScalarColumns(HqlSqlWalkerNode node,
                                             String[] sqlColumns,
                                             int i)

  Generates the scalar column AST nodes for a given array of SQL columns

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.